Bug 1119 - Incorrect doctype-system in profiling documents
: Incorrect doctype-system in profiling documents
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/docbook-style-xsl)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-18 12:46 by
Modified: 2005-08-30 03:07 (History)


Attachments
0001119-profiling-doctype-system.patch (deleted)
2002-07-18 12:46, Vitaly A. Ostanin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-18 12:46:25
В стиле profile.xsl неправильное указание doctype-system:
\&quot;<a
href="http://www.oasis-open.org/docbook/xml/4.0/docbookx.dtd\&quot">http://www.oasis-open.org/docbook/xml/4.0/docbookx.dtd\&quot</a>;
должно быть
\&quot;<a
href="http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd\&quot">http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd\&quot</a>;

Это приводит к попытке получить DTD Docbook/XML 4.0 через сеть.

Установлен
docbook-style-xsl-1.51.1-alt1

Патч прилагается, но правильнее брать тип документа из исходного, как и
кодировку. Как их получить с помощью XSLT, из спецификации непонятно, похоже,
что никак.

Сообщение продублировано на
<a
href="http://sourceforge.net/tracker/index.php?func=detail&amp;aid=582836&amp;group_id=21935&amp;atid=373747">http://sourceforge.net/tracker/index.php?func=detail&amp;aid=582836&amp;group_id=21935&amp;atid=373747</a>

---

---
------- Comment #1 From 2002-07-26 02:17:16 -------
Fixed in docbook-style-xsl-1.52.2-alt1
------- Comment #2 From 2002-07-26 02:17:16 -------
Fixed in docbook-style-xsl-1.52.2-alt1